INTERFACE
SUBROUTINE VMODEENERGY(KIOMASTER,KVMOD,KVMODPP,KCMAX,KUMCP,&
 & KUMVMO,PKENERGYL,PKENERGY) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCT0 , ONLY : NPROC ,NPRTRV
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KVMOD
INTEGER(KIND=JPIM),INTENT(IN) :: KVMODPP
INTEGER(KIND=JPIM),INTENT(IN) :: KUMCP
INTEGER(KIND=JPIM),INTENT(IN) :: KIOMASTER
INTEGER(KIND=JPIM),INTENT(IN) :: KCMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KUMVMO(NPRTRV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKENERGYL(KUMCP,KVMODPP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKENERGY(KVMOD)
END SUBROUTINE VMODEENERGY
END INTERFACE
